summaryrefslogtreecommitdiff
path: root/tools/testing/selftests/damon/debugfs_huge_count_read_write.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/testing/selftests/damon/debugfs_huge_count_read_write.sh')
-rw-r--r--tools/testing/selftests/damon/debugfs_huge_count_read_write.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tools/testing/selftests/damon/debugfs_huge_count_read_write.sh b/tools/testing/selftests/damon/debugfs_huge_count_read_write.sh
new file mode 100644
index 000000000000..922cadac2950
--- /dev/null
+++ b/tools/testing/selftests/damon/debugfs_huge_count_read_write.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0
+
+source _debugfs_common.sh
+
+# Test huge count read write
+# ==========================
+
+dmesg -C
+
+for file in "$DBGFS/"*
+do
+ ./huge_count_read_write "$file"
+done
+
+if dmesg | grep -q WARNING
+then
+ dmesg
+ exit 1
+else
+ exit 0
+fi